WP6ParagraphGroup_TabSetSubGroup Class Reference

`#include <WP6ParagraphGroup.h>`

Inheritance diagram for WP6ParagraphGroup_TabSetSubGroup:

## Public Member Functions

| WP6ParagraphGroup_TabSetSubGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP6ParagraphGroup_TabSetSubGroup () override
void | parse (WP6Listener *listener, const unsigned char numPrefixIDs, unsigned short const *prefixIDs) const override
Public Member Functions inherited from WP6VariableLengthGroup_SubGroup
virtual | ~WP6VariableLengthGroup_SubGroup ()

## Private Attributes

bool | m_isRelative
double | m_tabAdjustValue
std::vector< bool > | m_usePreWP9LeaderMethods
std::vector< WPXTabStop > | m_tabStops

## Constructor & Destructor Documentation

## WP6ParagraphGroup_TabSetSubGroup()

WP6ParagraphGroup_TabSetSubGroup::WP6ParagraphGroup_TabSetSubGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

## ~WP6ParagraphGroup_TabSetSubGroup()

WP6ParagraphGroup_TabSetSubGroup::~WP6ParagraphGroup_TabSetSubGroup | ( |  | ) |

override

## Member Function Documentation

## parse()

void WP6ParagraphGroup_TabSetSubGroup::parse | ( | WP6Listener * | listener,
|  | const unsigned char | numPrefixIDs,
|  | unsigned short const * | prefixIDs ) const

override virtual

Implements WP6VariableLengthGroup_SubGroup.

## Member Data Documentation

## m_isRelative

bool WP6ParagraphGroup_TabSetSubGroup::m_isRelative

private

Referenced by parse(), and WP6ParagraphGroup_TabSetSubGroup().

## m_tabAdjustValue

double WP6ParagraphGroup_TabSetSubGroup::m_tabAdjustValue

private

Referenced by WP6ParagraphGroup_TabSetSubGroup().

## m_tabStops

std::vector<WPXTabStop> WP6ParagraphGroup_TabSetSubGroup::m_tabStops

private

Referenced by parse(), and WP6ParagraphGroup_TabSetSubGroup().

## m_usePreWP9LeaderMethods

std::vector<bool> WP6ParagraphGroup_TabSetSubGroup::m_usePreWP9LeaderMethods

private

Referenced by parse(), and WP6ParagraphGroup_TabSetSubGroup().

The documentation for this class was generated from the following files:

- WP6ParagraphGroup.h
- WP6ParagraphGroup.cpp